Unlink document
curl --request POST \
--url https://staging.api.us.aptlydone.com/decision/v1/decisions/unlink-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentId": "105fa115-52d0-4466-baff-740447a60774",
"userId": "105fa115-52d0-4466-baff-740447a60795",
"recordData": [
{
"id": "105fa115-52d0-4466-baff-740447a60795",
"type": "Decision/Delegation"
}
]
}
'import requests
url = "https://staging.api.us.aptlydone.com/decision/v1/decisions/unlink-records"
payload = {
"documentId": "105fa115-52d0-4466-baff-740447a60774",
"userId": "105fa115-52d0-4466-baff-740447a60795",
"recordData": [
{
"id": "105fa115-52d0-4466-baff-740447a60795",
"type": "Decision/Delegation"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentId: '105fa115-52d0-4466-baff-740447a60774',
userId: '105fa115-52d0-4466-baff-740447a60795',
recordData: [{id: '105fa115-52d0-4466-baff-740447a60795', type: 'Decision/Delegation'}]
})
};
fetch('https://staging.api.us.aptlydone.com/decision/v1/decisions/unlink-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.384Z",
"message": "Success",
"data": {
"deletedCount": 5
}
}{
"deletedCount": 5
}Decisions
Unlink document
POST
/
v1
/
decisions
/
unlink-records
Unlink document
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
āI